<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>astra.cartago</groupId>
	<artifactId>mams-core</artifactId>
	<version>0.1.0</version>

    <parent>
        <groupId>astra</groupId>
        <artifactId>astra-cartago-base</artifactId>
        <version>2.4.0</version>
    </parent>

    <properties>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>    

    <repositories>
		<repository>
			<id>astra-repo</id>
			<url>https://gitlab.com/astra-language/astra-mvn-repo/raw/master</url>
		</repository>
    </repositories>
    
    <dependencies>
		<dependency>
			<groupId>io.netty</groupId>
			<artifactId>netty-all</artifactId>
			<version>4.1.32.Final</version>
		</dependency>
        <dependency>
            <groupId>cz.cvut.kbss.jsonld</groupId>
            <artifactId>jb4jsonld-jackson</artifactId>
			<version>0.4.0</version>
        </dependency>
	</dependencies>
    
    <build>
        <defaultGoal>clean compile dependency:copy-dependencies astra:deploy</defaultGoal>
        <plugins>
            <plugin>
                <groupId>astra</groupId>
                <artifactId>astra-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>3.1.1</version>
            </plugin>
        </plugins>
    </build>
</project>

